Subject: Re: git (commit|tag) atomicity

From: Holger Hellmuth <[email-masked]>
Date: Tue, 28 Feb 2012 17:46:44 +0100

On 28.02.2012 16:40, Jon Jagger wrote:
> Hi,
> I don't know a lot about git - I use it as a tool behind
> http://cyber-dojo.com
> which is an online coding dojo server.
> I have a quick question...
> If I do a
>     git commit ....
> in one thread and a
>     git tag | sort -g
> in another thread is the output of the git tag guaranteed to be atomic?

Can a "git commit" add or remove tags? AFAIK it can't and so the two 
commands don't conflict in any way.